<?php
/*
  $Id: checkout_confirmation.php,v 1.139 2003/06/11 17:34:53 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot(array('mode' => 'SSL', 'page' => FILENAME_CHECKOUT_PAYMENT));
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID) && tep_session_is_registered('cartID')) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
  if (!tep_session_is_registered('shipping')) {
    tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

  if (!tep_session_is_registered('payment')) tep_session_register('payment');
  if (isset($HTTP_POST_VARS['payment'])) $payment = $HTTP_POST_VARS['payment'];

  if (!tep_session_is_registered('comments')) tep_session_register('comments');
  if (tep_not_null($HTTP_POST_VARS['comments'])) {
    $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);
  }

// load the selected payment module
  require(DIR_WS_CLASSES . 'payment.php');
  $payment_modules = new payment($payment);

  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  $payment_modules->update_status();

  if ( ( is_array($payment_modules->modules) && (sizeof($payment_modules->modules) > 1) && !is_object($$payment) ) || (is_object($$payment) && ($$payment->enabled == false)) ) {
    tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode(ERROR_NO_PAYMENT_MODULE_SELECTED), 'SSL'));
  }

  if (is_array($payment_modules->modules)) {
    $payment_modules->pre_confirmation_check();
  }

// load the selected shipping module
  require(DIR_WS_CLASSES . 'shipping.php');
  $shipping_modules = new shipping($shipping);

  require(DIR_WS_CLASSES . 'order_total.php');
  $order_total_modules = new order_total;

// Stock Check
  $any_out_of_stock = false;
  if (STOCK_CHECK == 'true') {
    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
      if (tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty'])) {
        $any_out_of_stock = true;
      }
    }
    // Out of Stock
    if ( (STOCK_ALLOW_CHECKOUT != 'true') && ($any_out_of_stock == true) ) {
      tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
    }
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_CONFIRMATION);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_confirmation.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**  

  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->

    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
<?php
  if ($sendto != false) {
?>
            <TD WIDTH="30%" VALIGN="top"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main"><?php echo '<b>' . HEADING_DELIVERY_ADDRESS . '</b> <a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING_ADDRESS, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br>'); ?></TD>
              </TR>
<?php
    if ($order->info['shipping_method']) {
?>
              <TR>
                <TD CLASS="main"><?php echo '<b>' . HEADING_SHIPPING_METHOD . '</b> <a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo $order->info['shipping_method']; ?></TD>
              </TR>
<?php
    }
?>
            </TABLE></TD>
<?php
  }
?>
            <TD WIDTH="<?php echo (($sendto != false) ? '70%' : '100%'); ?>" VALIGN="top"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
<?php
  if (sizeof($order->info['tax_groups']) > 1) {
?>
                  <TR>
                    <TD CLASS="main" COLSPAN="2"><?php echo '<b>' . HEADING_PRODUCTS . '</b> <a href="' . tep_href_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
                    <TD CLASS="smallText" ALIGN="right"><B><?php echo HEADING_TAX; ?></B></TD>
                    <TD CLASS="smallText" ALIGN="right"><B><?php echo HEADING_TOTAL; ?></B></TD>
                  </TR>
<?php
  } else {
?>
                  <TR>
                    <TD CLASS="main" COLSPAN="3"><?php echo '<b>' . HEADING_PRODUCTS . '</b> <a href="' . tep_href_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
                  </TR>
<?php
  }

  for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
    echo '          <tr>' . "\n" .
         '            <td class="main" align="right" valign="top" width="30">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
         '            <td class="main" valign="top">' . $order->products[$i]['name'];

    if (STOCK_CHECK == 'true') {
      echo tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty']);
    }

    if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
      for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
        echo '<br><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'] . '</i></small></nobr>';
      }
    }

    echo '</td>' . "\n";

    if (sizeof($order->info['tax_groups']) > 1) echo '            <td class="main" valign="top" align="right">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n";

    echo '            <td class="main" align="right" valign="top">' . $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']) . '</td>' . "\n" .
         '          </tr>' . "\n";
  }
?>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD CLASS="main"><B><?php echo HEADING_BILLING_INFORMATION; ?></B></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD WIDTH="30%" VALIGN="top"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main"><?php echo '<b>' . HEADING_BILLING_ADDRESS . '</b> <a href="' . tep_href_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br>'); ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo '<b>' . HEADING_PAYMENT_METHOD . '</b> <a href="' . tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo $order->info['payment_method']; ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="70%" VALIGN="top" ALIGN="right"><TABLE BORDER="0" CELLSPACING="0" CELLPADDING="2">
<?php
  if (MODULE_ORDER_TOTAL_INSTALLED) {
    $order_total_modules->process();
    echo $order_total_modules->output();
  }
?>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
<?php
  if (is_array($payment_modules->modules)) {
    if ($confirmation = $payment_modules->confirmation()) {
?>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD CLASS="main"><B><?php echo HEADING_PAYMENT_INFORMATION; ?></B></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main" COLSPAN="4"><?php echo $confirmation['title']; ?></TD>
              </TR>
<?php
      for ($i=0, $n=sizeof($confirmation['fields']); $i<$n; $i++) {
?>
              <TR>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main"><?php echo $confirmation['fields'][$i]['title']; ?></TD>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main"><?php echo $confirmation['fields'][$i]['field']; ?></TD>
              </TR>
<?php
      }
?>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
<?php
    }
  }
?>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  if (tep_not_null($order->info['comments'])) {
?>
      <TR>
        <TD CLASS="main"><?php echo '<b>' . HEADING_ORDER_COMMENTS . '</b> <a href="' . tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>'; ?></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main"><?php echo nl2br(tep_output_string_protected($order->info['comments'])) . tep_draw_hidden_field('comments', $order->info['comments']); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  }
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD ALIGN="right" CLASS="main">
<?php
  if (isset($$payment->form_action_url)) {
    $form_action_url = $$payment->form_action_url;
  } else {
    $form_action_url = tep_href_link(FILENAME_CHECKOUT_PROCESS, '', 'SSL');
  }

  echo tep_draw_form('checkout_confirmation', $form_action_url, 'post');

  if (is_array($payment_modules->modules)) {
    echo $payment_modules->process_button();
  }

  echo tep_image_submit('button_confirm_order.gif', IMAGE_BUTTON_CONFIRM_ORDER) . '</form>' . "\n";
?>
            </TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%" ALIGN="right"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD><?php echo tep_image(DIR_WS_IMAGES . 'checkout_bullet.gif'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '" class="checkoutBarFrom">' . CHECKOUT_BAR_DELIVERY . '</a>'; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '" class="checkoutBarFrom">' . CHECKOUT_BAR_PAYMENT . '</a>'; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarCurrent"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_FINISHED; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>
    </TABLE>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
