<?php
/*
  $Id: checkout_payment.php,v 1.113 2003/06/29 23:03:27 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
  if (!tep_session_is_registered('shipping')) {
    tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID) && tep_session_is_registered('cartID')) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// Stock Check
  if ( (STOCK_CHECK == 'true') && (STOCK_ALLOW_CHECKOUT != 'true') ) {
    $products = $cart->get_products();
    for ($i=0, $n=sizeof($products); $i<$n; $i++) {
      if (tep_check_stock($products[$i]['id'], $products[$i]['quantity'])) {
        tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
        break;
      }
    }
  }

// if no billing destination address was selected, use the customers own address as default
  if (!tep_session_is_registered('billto')) {
    tep_session_register('billto');
    $billto = $customer_default_address_id;
  } else {
// verify the selected billing address
    $check_address_query = tep_db_query("select count(*) as total from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customer_id . "' and address_book_id = '" . (int)$billto . "'");
    $check_address = tep_db_fetch_array($check_address_query);

    if ($check_address['total'] != '1') {
      $billto = $customer_default_address_id;
      if (tep_session_is_registered('payment')) tep_session_unregister('payment');
    }
  }

  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  if (!tep_session_is_registered('comments')) tep_session_register('comments');

  $total_weight = $cart->show_weight();
  $total_count = $cart->count_contents();

// load all enabled payment modules
  require(DIR_WS_CLASSES . 'payment.php');
  $payment_modules = new payment;

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_PAYMENT);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_payment.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**  

  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<SCRIPT language="javascript"><!--
var selected;

function selectRowEffect(object, buttonSelect) {
  if (!selected) {
    if (document.getElementById) {
      selected = document.getElementById('defaultSelected');
    } else {
      selected = document.all['defaultSelected'];
    }
  }

  if (selected) selected.className = 'moduleRow';
  object.className = 'moduleRowSelected';
  selected = object;

// one button is not an array
  if (document.checkout_payment.payment[0]) {
    document.checkout_payment.payment[buttonSelect].checked=true;
  } else {
    document.checkout_payment.payment.checked=true;
  }
}

function rowOverEffect(object) {
  if (object.className == 'moduleRow') object.className = 'moduleRowOver';
}

function rowOutEffect(object) {
  if (object.className == 'moduleRowOver') object.className = 'moduleRow';
}
//--></SCRIPT>
<?php echo $payment_modules->javascript_validation(); ?>
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->
    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	<?php echo tep_draw_form('checkout_payment', tep_href_link(FILENAME_CHECKOUT_CONFIRMATION, '', 'SSL'), 'post', 'onsubmit="return check_form();"'); ?>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>
	   
<?php
  if (isset($HTTP_GET_VARS['payment_error']) && is_object(${$HTTP_GET_VARS['payment_error']}) && ($error = ${$HTTP_GET_VARS['payment_error']}->get_error())) {
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo tep_output_string_protected($error['title']); ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBoxNotice">
          <TR CLASS="infoBoxNoticeContents">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main" WIDTH="100%" VALIGN="top"><?php echo tep_output_string_protected($error['error']); ?></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  }
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_BILLING_ADDRESS; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                <TD CLASS="main" WIDTH="50%" VALIGN="top"><?php echo TEXT_SELECTED_BILLING_DESTINATION; ?><BR><BR><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL') . '">' . tep_image_button('button_change_address.gif', IMAGE_BUTTON_CHANGE_ADDRESS) . '</a>'; ?></TD>
                <TD ALIGN="right" WIDTH="50%" VALIGN="top"><TABLE BORDER="0" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD CLASS="main" ALIGN="center" VALIGN="top"><B><?php echo TITLE_BILLING_ADDRESS; ?></B><BR><?php echo tep_image(DIR_WS_IMAGES . 'arrow_south_east.gif'); ?></TD>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                    <TD CLASS="main" VALIGN="top"><?php echo tep_address_label($customer_id, $billto, true, ' ', '<br>'); ?></TD>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                  </TR>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_PAYMENT_METHOD; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
<?php
  $selection = $payment_modules->selection();

  if (sizeof($selection) > 1) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main" WIDTH="50%" VALIGN="top"><?php echo TEXT_SELECT_PAYMENT_METHOD; ?></TD>
                <TD CLASS="main" WIDTH="50%" VALIGN="top" ALIGN="right"><B><?php echo TITLE_PLEASE_SELECT; ?></B><BR><?php echo tep_image(DIR_WS_IMAGES . 'arrow_east_south.gif'); ?></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
<?php
  } else {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main" WIDTH="100%" COLSPAN="2"><?php echo TEXT_ENTER_PAYMENT_INFORMATION; ?></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
<?php
  }

  $radio_buttons = 0;
  for ($i=0, $n=sizeof($selection); $i<$n; $i++) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD COLSPAN="2"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
<?php
    if ( ($selection[$i]['id'] == $payment) || ($n == 1) ) {
      echo '                  <tr id="defaultSelected" class="moduleRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
    } else {
      echo '                  <tr class="moduleRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
    }
?>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" COLSPAN="3"><B><?php echo $selection[$i]['module']; ?></B></TD>
                    <TD CLASS="main" ALIGN="right">
<?php
    if (sizeof($selection) > 1) {
      echo tep_draw_radio_field('payment', $selection[$i]['id']);
    } else {
      echo tep_draw_hidden_field('payment', $selection[$i]['id']);
    }
?>
                    </TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
    if (isset($selection[$i]['error'])) {
?>
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" COLSPAN="4"><?php echo $selection[$i]['error']; ?></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
    } elseif (isset($selection[$i]['fields']) && is_array($selection[$i]['fields'])) {
?>
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD COLSPAN="4"><TABLE BORDER="0" CELLSPACING="0" CELLPADDING="2">
<?php
      for ($j=0, $n2=sizeof($selection[$i]['fields']); $j<$n2; $j++) {
?>
                      <TR>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                        <TD CLASS="main"><?php echo $selection[$i]['fields'][$j]['title']; ?></TD>
                        <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                        <TD CLASS="main"><?php echo $selection[$i]['fields'][$j]['field']; ?></TD>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                      </TR>
<?php
      }
?>
                    </TABLE></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
    }
?>
                </TABLE></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
<?php
    $radio_buttons++;
  }
?>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_COMMENTS; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD><?php echo tep_draw_textarea_field('comments', 'soft', '60', '5'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_button">
          <TR CLASS="infoBoxContents_button">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main"><B><?php echo TITLE_CONTINUE_CHECKOUT_PROCEDURE . '</b><br>' . TEXT_CONTINUE_CHECKOUT_PROCEDURE; ?></TD>
                <TD CLASS="main" ALIGN="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></TD>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%" ALIGN="right"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD><?php echo tep_image(DIR_WS_IMAGES . 'checkout_bullet.gif'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '" class="checkoutBarFrom">' . CHECKOUT_BAR_DELIVERY . '</a>'; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarCurrent"><?php echo CHECKOUT_BAR_PAYMENT; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_FINISHED; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE></form>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
