<?php
/*
  $Id: checkout_shipping.php,v 1.16 2003/06/09 23:03:53 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require('includes/classes/http_client.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

// if no shipping destination address was selected, use the customers own address as default
  if (!tep_session_is_registered('sendto')) {
    tep_session_register('sendto');
    $sendto = $customer_default_address_id;
  } else {
// verify the selected shipping address
    $check_address_query = tep_db_query("select count(*) as total from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customer_id . "' and address_book_id = '" . (int)$sendto . "'");
    $check_address = tep_db_fetch_array($check_address_query);

    if ($check_address['total'] != '1') {
      $sendto = $customer_default_address_id;
      if (tep_session_is_registered('shipping')) tep_session_unregister('shipping');
    }
  }

  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

// register a random ID in the session to check throughout the checkout procedure
// against alterations in the shopping cart contents
  if (!tep_session_is_registered('cartID')) tep_session_register('cartID');
  $cartID = $cart->cartID;

// if the order contains only virtual products, forward the customer to the billing page as
// a shipping address is not needed
  if ($order->content_type == 'virtual') {
    if (!tep_session_is_registered('shipping')) tep_session_register('shipping');
    $shipping = false;
    $sendto = false;
    tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
  }

  $total_weight = $cart->show_weight();
  $total_count = $cart->count_contents();

// load all enabled shipping modules
  require(DIR_WS_CLASSES . 'shipping.php');
  $shipping_modules = new shipping;

  if ( defined('MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING') && (MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING == 'true') ) {
    $pass = false;

    switch (MODULE_ORDER_TOTAL_SHIPPING_DESTINATION) {
      case 'national':
        if ($order->delivery['country_id'] == STORE_COUNTRY) {
          $pass = true;
        }
        break;
      case 'international':
        if ($order->delivery['country_id'] != STORE_COUNTRY) {
          $pass = true;
        }
        break;
      case 'both':
        $pass = true;
        break;
    }

    $free_shipping = false;
    if ( ($pass == true) && ($order->info['total'] >= MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER) ) {
      $free_shipping = true;

      include(DIR_WS_LANGUAGES . $language . '/modules/order_total/ot_shipping.php');
    }
  } else {
    $free_shipping = false;
  }

// process the selected shipping method
  if ( isset($HTTP_POST_VARS['action']) && ($HTTP_POST_VARS['action'] == 'process') ) {
    if (!tep_session_is_registered('comments')) tep_session_register('comments');
    if (tep_not_null($HTTP_POST_VARS['comments'])) {
      $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);
    }

    if (!tep_session_is_registered('shipping')) tep_session_register('shipping');

    if ( (tep_count_shipping_modules() > 0) || ($free_shipping == true) ) {
      if ( (isset($HTTP_POST_VARS['shipping'])) && (strpos($HTTP_POST_VARS['shipping'], '_')) ) {
        $shipping = $HTTP_POST_VARS['shipping'];

        list($module, $method) = explode('_', $shipping);
        if ( is_object($$module) || ($shipping == 'free_free') ) {
          if ($shipping == 'free_free') {
            $quote[0]['methods'][0]['title'] = FREE_SHIPPING_TITLE;
            $quote[0]['methods'][0]['cost'] = '0';
          } else {
            $quote = $shipping_modules->quote($method, $module);
          }
          if (isset($quote['error'])) {
            tep_session_unregister('shipping');
          } else {
            if ( (isset($quote[0]['methods'][0]['title'])) && (isset($quote[0]['methods'][0]['cost'])) ) {
              $shipping = array('id' => $shipping,
                                'title' => (($free_shipping == true) ?  $quote[0]['methods'][0]['title'] : $quote[0]['module'] . ' (' . $quote[0]['methods'][0]['title'] . ')'),
                                'cost' => $quote[0]['methods'][0]['cost']);

              tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
            }
          }
        } else {
          tep_session_unregister('shipping');
        }
      }
    } else {
      $shipping = false;
                
      tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
    }    
  }

// get all available shipping quotes
  $quotes = $shipping_modules->quote();

// if no shipping method has been selected, automatically select the cheapest method.
// if the modules status was changed when none were available, to save on implementing
// a javascript force-selection method, also automatically select the cheapest shipping
// method if more than one module is now enabled
  if ( !tep_session_is_registered('shipping') || ( tep_session_is_registered('shipping') && ($shipping == false) && (tep_count_shipping_modules() > 1) ) ) $shipping = $shipping_modules->cheapest();

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_SHIPPING);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_delivery.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<SCRIPT language="javascript"><!--
var selected;

function selectRowEffect(object, buttonSelect) {
  if (!selected) {
    if (document.getElementById) {
      selected = document.getElementById('defaultSelected');
    } else {
      selected = document.all['defaultSelected'];
    }
  }

  if (selected) selected.className = 'moduleRow';
  object.className = 'moduleRowSelected';
  selected = object;

// one button is not an array
  if (document.checkout_address.shipping[0]) {
    document.checkout_address.shipping[buttonSelect].checked=true;
  } else {
    document.checkout_address.shipping.checked=true;
  }
}

function rowOverEffect(object) {
  if (object.className == 'moduleRow') object.className = 'moduleRowOver';
}

function rowOutEffect(object) {
  if (object.className == 'moduleRowOver') object.className = 'moduleRow';
}
//--></SCRIPT>
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->
    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	<?php echo tep_draw_form('checkout_address', tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL')) . tep_draw_hidden_field('action', 'process'); ?>
	
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>
	   
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_SHIPPING_ADDRESS; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                <TD CLASS="main" WIDTH="50%" VALIGN="top"><?php echo TEXT_CHOOSE_SHIPPING_DESTINATION . '<br><br><a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING_ADDRESS, '', 'SSL') . '">' . tep_image_button('button_change_address.gif', IMAGE_BUTTON_CHANGE_ADDRESS) . '</a>'; ?></TD>
                <TD ALIGN="right" WIDTH="50%" VALIGN="top"><TABLE BORDER="0" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD CLASS="main" ALIGN="center" VALIGN="top"><?php echo '<b>' . TITLE_SHIPPING_ADDRESS . '</b><br>' . tep_image(DIR_WS_IMAGES . 'arrow_south_east.gif'); ?></TD>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                    <TD CLASS="main" VALIGN="top"><?php echo tep_address_label($customer_id, $sendto, true, ' ', '<br>'); ?></TD>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
                  </TR>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  if (tep_count_shipping_modules() > 0) {
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_SHIPPING_METHOD; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
<?php
    if (sizeof($quotes) > 1 && sizeof($quotes[0]) > 1) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main" WIDTH="50%" VALIGN="top"><?php echo TEXT_CHOOSE_SHIPPING_METHOD; ?></TD>
                <TD CLASS="main" WIDTH="50%" VALIGN="top" ALIGN="right"><?php echo '<b>' . TITLE_PLEASE_SELECT . '</b><br>' . tep_image(DIR_WS_IMAGES . 'arrow_east_south.gif'); ?></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
<?php
    } elseif ($free_shipping == false) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main" WIDTH="100%" COLSPAN="2"><?php echo TEXT_ENTER_SHIPPING_INFORMATION; ?></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
<?php
    }

    if ($free_shipping == true) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD COLSPAN="2" WIDTH="100%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" COLSPAN="3"><B><?php echo FREE_SHIPPING_TITLE; ?></B>&nbsp;<?php echo $quotes[$i]['icon']; ?></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
                  <TR ID="defaultSelected" CLASS="moduleRowSelected" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="selectRowEffect(this, 0)">
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" WIDTH="100%"><?php echo sprintf(FREE_SHIPPING_DESCRIPTION, $currencies->format(MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER)) . tep_draw_hidden_field('shipping', 'free_free'); ?></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
                </TABLE></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
              </TR>
<?php
    } else {
      $radio_buttons = 0;
      for ($i=0, $n=sizeof($quotes); $i<$n; $i++) {
?>
              <TR>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD COLSPAN="2"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" COLSPAN="3"><B><?php echo $quotes[$i]['module']; ?></B>&nbsp;<?php if (isset($quotes[$i]['icon']) && tep_not_null($quotes[$i]['icon'])) { echo $quotes[$i]['icon']; } ?></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
        if (isset($quotes[$i]['error'])) {
?>
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" COLSPAN="3"><?php echo $quotes[$i]['error']; ?></TD>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
        } else {
          for ($j=0, $n2=sizeof($quotes[$i]['methods']); $j<$n2; $j++) {
// set the radio button to be checked if it is the method chosen
            $checked = (($quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id'] == $shipping['id']) ? true : false);

            if ( ($checked == true) || ($n == 1 && $n2 == 1) ) {
              echo '                  <tr id="defaultSelected" class="moduleRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
            } else {
              echo '                  <tr class="moduleRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
            }
?>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD CLASS="main" WIDTH="75%"><?php echo $quotes[$i]['methods'][$j]['title']; ?></TD>
<?php
            if ( ($n > 1) || ($n2 > 1) ) {
?>
                    <TD CLASS="main"><?php echo $currencies->format(tep_add_tax($quotes[$i]['methods'][$j]['cost'], (isset($quotes[$i]['tax']) ? $quotes[$i]['tax'] : 0))); ?></TD>
                    <TD CLASS="main" ALIGN="right"><?php echo tep_draw_radio_field('shipping', $quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id'], $checked); ?></TD>
<?php
            } else {
?>
                    <TD CLASS="main" ALIGN="right" COLSPAN="2"><?php echo $currencies->format(tep_add_tax($quotes[$i]['methods'][$j]['cost'], $quotes[$i]['tax'])) . tep_draw_hidden_field('shipping', $quotes[$i]['id'] . '_' . $quotes[$i]['methods'][$j]['id']); ?></TD>
<?php
            }
?>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
<?php
            $radio_buttons++;
          }
        }
?>
                </TABLE></TD>
                <TD><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD> 
              </TR>
<?php
      }
    }
?>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  }
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><B><?php echo TABLE_HEADING_COMMENTS; ?></B></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD><?php echo tep_draw_textarea_field('comments', 'soft', '60', '5'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_button">
          <TR CLASS="infoBoxContents_button">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD CLASS="main"><?php echo '<b>' . TITLE_CONTINUE_CHECKOUT_PROCEDURE . '</b><br>' . TEXT_CONTINUE_CHECKOUT_PROCEDURE; ?></TD>
                <TD CLASS="main" ALIGN="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></TD>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%" ALIGN="right"><?php echo tep_image(DIR_WS_IMAGES . 'checkout_bullet.gif'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarCurrent"><?php echo CHECKOUT_BAR_DELIVERY; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_PAYMENT; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarTo"><?php echo CHECKOUT_BAR_FINISHED; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE></form>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
