<?php
/*
  $Id: affiliate_functions.php,v 1.12 2003/08/05 05:27:21 frak Exp $

  OSC-Affiliate

  Contribution based on:

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 - 2003 osCommerce

  Released under the GNU General Public License
*/

  function affiliate_check_url($url) {
    return eregi("^https?://[a-z0-9]([-_.]?[a-z0-9])+[.][a-z0-9][a-z0-9/=?.&\~_-]+$",$url);
  }

  function affiliate_insert ($sql_data_array, $affiliate_parent = 0) {
    // LOCK TABLES
    tep_db_query("LOCK TABLES " . TABLE_AFFILIATE . " WRITE");
    if ($affiliate_parent > 0) {
      $affiliate_root_query = tep_db_query("select affiliate_root, affiliate_rgt, affiliate_lft, affiliate_lvlfrom  " . TABLE_AFFILIATE . " where affiliate_id = '" . $affiliate_parent . "' ");
      // Check if we have a parent affiliate
      if ($affiliate_root_array = tep_db_fetch_array($affiliate_root_query)) {
        tep_db_query("update " . TABLE_AFFILIATE . " SET affiliate_lft = affiliate_lft + 2 WHERE affiliate_root  =  '" . $affiliate_root_array['affiliate_root'] . "' and  affiliate_lft > "  . $affiliate_root_array['affiliate_rgt'] . "  AND affiliate_rgt >= " . $affiliate_root_array['affiliate_rgt'] . " ");
        tep_db_query("update " . TABLE_AFFILIATE . " SET affiliate_rgt = affiliate_rgt + 2 WHERE affiliate_root  =  '" . $affiliate_root_array['affiliate_root'] . "' and  affiliate_rgt >= "  . $affiliate_root_array['affiliate_rgt'] . "  ");
      

        $sql_data_array['affiliate_root'] = $affiliate_root_array['affiliate_root'];
        $sql_data_array['affiliate_lft'] = $affiliate_root_array['affiliate_rgt'];
        $sql_data_array['affiliate_rgt'] = ($affiliate_root_array['affiliate_rgt'] + 1);
        $sql_data_array['affiliate_lvl'] = ($affiliate_root_array['affiliate_lvl'] + 1);
        tep_db_perform(TABLE_AFFILIATE, $sql_data_array);
        $affiliate_id = tep_db_insert_id();
      }
    // no parent -> new root
    } else {
      $sql_data_array['affiliate_lft'] = '1';
      $sql_data_array['affiliate_rgt'] = '2';
      tep_db_perform(TABLE_AFFILIATE, $sql_data_array);
      $affiliate_id = tep_db_insert_id();
      tep_db_query ("update " . TABLE_AFFILIATE . " set affiliate_root = '" . $affiliate_id . "' where affiliate_id = '" . $affiliate_id . "' ");
    }
    // UNLOCK TABLES
    tep_db_query("UNLOCK TABLES");
    return $affiliate_id;

  }

  /**
   * affiliate_level_statistics_query()
   * 
   * @param integer $affiliate_id - Subject Affiliate ID limit
   * @param integer $period         - Period limit yyyy-mm
   * @param integer $level_start  - tier level end limit (upper numeric limit)
   * @param integer $level_limit  - tier level start limit (lower numeric limit)
   * @param integer $order_status - if positive, minimum status to return.  If negative, magnitude
   *                                is the ONLY status returned.  eg "-2" will only return status 5 orders,
   *                                while "2" will return orders from status 0-2.
   * @return string - tep_query result
   **/
  function affiliate_level_statistics_query( $affiliate_id = NULL, $period = NULL,
                                            $level_start = 0, $level_limit = AFFILIATE_TIER_LEVELS,
										                        $order_status = AFFILIATE_PAYMENT_ORDER_MIN_STATUS ) {
    $status_clause = ($order_status > 0) ? ("o.orders_status >= " . $order_status ) : ("o.orders_status = " . ($order_status * -1) );
    if ( !( is_null( $period ) ) ) {
	  $period_split = split( "-", $period );
      $period_clause = " AND year(affiliate_date) = " . $period_split[0] . " and month(affiliate_date) = " . $period_split[1];
    } else {
	  $period_clause = " ";
	}
	
    $affiliate_sales_raw = "
	  SELECT subject.affiliate_id, tiers.affiliate_lvl - subject.affiliate_lvl as level,
	    count(*) as count, sum(affiliate_value) as total, sum(affiliate_payment) as payment
	  FROM " . TABLE_AFFILIATE . " AS subject
	    LEFT JOIN " . TABLE_AFFILIATE . " AS tiers
	      ON ( tiers.affiliate_lft BETWEEN subject.affiliate_lft AND subject.affiliate_rgt 
		     AND tiers.affiliate_rgt BETWEEN subject.affiliate_lft AND subject.affiliate_rgt )
	    LEFT JOIN " . TABLE_AFFILIATE_SALES . " AS a 
		  ON ( tiers.affiliate_id = a.affiliate_id )
	    LEFT JOIN " . TABLE_ORDERS . " AS o 
		  ON ( a.affiliate_orders_id = o.orders_id )
	  WHERE " . ( tep_not_null( $affiliate_id ) ? "subject.affiliate_id = '" . $affiliate_id . "' AND " : "" ) . "
	    (tiers.affiliate_lvl - subject.affiliate_lvl) between '" . $level_start . "' AND '" . $level_limit . "'
	    AND " . $status_clause . $period_clause . "
	  GROUP BY level
	  ORDER BY tiers.affiliate_lvl asc
	";
    return tep_db_query($affiliate_sales_raw);
  }

  /**
   * affiliate_period()
   * 
   * @param $start_year
   * @param $start_month
   * @param boolean $return_dropdown
   * @param string $selected_period
   * @return 
   **/
  function affiliate_period( $name, $start_year, $start_month, $return_dropdown = TRUE, $selected_period = '', $parameters ) {
    $return_array = array(array('id' => '', 'text' => TEXT_AFFILIATE_ALL_PERIODS ) );
    for($period_year = $start_year; $period_year <= date("Y"); $period_year++ ) {
      for($period_month = 1; $period_month <= 12; $period_month++ ) {
	  if ($period_year == $start_year && $period_month < $start_month) continue;
	  if ($period_year ==  date("Y") && $period_month > date("m")) continue;
	    $return_array[] = array( 'id' => $period_year . '-' . $period_month, 'text' => $period_year . '-' . $period_month) ;
      }
    }

	if ( $return_dropdown ) {
      return tep_draw_pull_down_menu($name, $return_array, $selected_period, $parameters);
	}
  }

  /**
   * affiliate_get_status_array()
   * 
   * @return  array of available order status in current language
   **/
  function affiliate_get_status_array() {
    global $languages_id;

    $status_array = array();
    $status_sql = "select orders_status_id, orders_status_name"
                            . " FROM " . TABLE_ORDERS_STATUS
                            . " WHERE language_id = '$languages_id'"
                            . " ORDER BY orders_status_id" ;
    $status = tep_db_query( $status_sql );
    while ( $status_values = tep_db_fetch_array( $status ) ) {
      $status_array[] = array('orders_status_id' => $status_values['orders_status_id'],
                                 'orders_status_name' => $status_values['orders_status_name']);
    }
    return $status_array;
  }

  
  /**
   * affiliate_get_status_list()
   * 
   * @param $name
   * @param string $selected
   * @param string $parameters
   * @param bool $show_all - show "All Status" or not
   * @return  Dropdown listbox with order status
   **/
  function affiliate_get_status_list($name, $selected = '', $parameters = '', $show_all = true) {
    if ( $show_all == true ) {
      $status_array = array(array('id' => '', 'text' => TEXT_AFFILIATE_ALL_STATUS ) );
    } else {
      $status_array = array(array('id' => '', 'text' => PULL_DOWN_DEFAULT) );
    }

    $status = affiliate_get_status_array();
    for ($i=0, $n=sizeof( $status ); $i<$n; $i++) {
      $status_array[] = array('id' => $status[$i]['orders_status_id'], 'text' => $status[$i]['orders_status_name']);
    }

    return tep_draw_pull_down_menu($name, $status_array, $selected, $parameters);
  }


  /**
   * affiliate_get_level_list()
   * 
   * @param $name
   * @param string $selected
   * @param string $parameters
   * @return Dropdown Listbox.  Note personal level value is  AFFILIATE_TIER_LEVELS + 1
   **/
  function affiliate_get_level_list($name, $selected = '', $parameters = '' ) {
    $status_array = array(array('id' => '', 'text' => TEXT_AFFILIATE_ALL_LEVELS ) );
    $status_array[] = array('id' => '0'  , 'text' => TEXT_AFFILIATE_PERSONAL_LEVEL );    
    
    for ( $i = 1 ; $i <= AFFILIATE_TIER_LEVELS; $i++ ) {
      $status_array[] = array('id' => $i, 'text' => TEXT_AFFILIATE_LEVEL_SUFFIX . $i );
    }

    return tep_draw_pull_down_menu($name, $status_array, $selected, $parameters);
  }


  

////
// Compatibility to older Snapshots
  if (!function_exists('tep_round')) {
    function tep_round($value, $precision) {
      if (PHP_VERSION < 4) {
        $exp = pow(10, $precision);
        return round($value * $exp) / $exp;
      } else {
        return round($value, $precision);
      }
    }
  }

////
// Output a form
  if (!function_exists('tep_draw_form')) {
    function tep_draw_form($name, $action, $method = 'post', $parameters = '') {
      $form = '<form name="' . tep_parse_input_field_data($name, array('"' => '&quot;')) . '" action="' . tep_parse_input_field_data($action, array('"' => '&quot;')) . '" method="' . tep_parse_input_field_data($method, array('"' => '&quot;')) . '"';

      if (tep_not_null($parameters)) $form .= ' ' . $parameters;

      $form .= '>';

      return $form;
    }
  }

////
// This funstion validates a plain text password with an encrpyted password
  if (!function_exists('tep_validate_password')) {
    function tep_validate_password($plain, $encrypted) {
      if (tep_not_null($plain) && tep_not_null($encrypted)) {
// split apart the hash / salt
        $stack = explode(':', $encrypted);

        if (sizeof($stack) != 2) return false;

        if (md5($stack[1] . $plain) == $stack[0]) {
          return true;
        }
      }

      return false;
    }
  }

////
// This function makes a new password from a plaintext password. 
  if (!function_exists('tep_encrypt_password')) {
    function tep_encrypt_password($plain) {
      $password = '';

      for ($i=0; $i<10; $i++) {
        $password .= tep_rand();
      }

      $salt = substr(md5($password), 0, 2);

      $password = md5($salt . $plain) . ':' . $salt;

      return $password;
    }
  }

////
// Return a random value
  if (!function_exists('tep_rand')) {
    function tep_rand($min = null, $max = null) {
      static $seeded;

      if (!isset($seeded)) {
        mt_srand((double)microtime()*1000000);
        $seeded = true;
      }

      if (isset($min) && isset($max)) {
        if ($min >= $max) {
          return $min;
        } else {
          return mt_rand($min, $max);
        }
      } else {
        return mt_rand();
      }
    }
  }
?>